
QGIS Application - Bug report #14671

Atlas not sorting properly

2016-04-12 03:06 PM - Spencer Gardner

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.14.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22635

Description

I'm using 2.14.0 on a Windows 10 machine.

I have created an atlas map with features numbered 1-6 using field "panel_nbr". I have set the sort in Atlas configuration to the same field

(panel_nbr). When I preview the atlas maps they are given in apparently random order. It's not sorted properly, nor is the order given

based on which feature was created first.

Associated revisions

Revision 647f3221 - 2016-04-22 09:20 AM - Nyall Dawson

Consolidate all qvariant sort methods to use qgsVariantLessThan,

make sure qgsVariantLessThan incorporates all functionality from

other duplicate implementations, and add tests

(fixes #14671)

Revision e657f611 - 2016-04-26 12:09 PM - Nyall Dawson

Consolidate all qvariant sort methods to use qgsVariantLessThan,

make sure qgsVariantLessThan incorporates all functionality from

other duplicate implementations, and add tests

(fixes #14671)

(cherry-picked from 647f32)

History

#1 - 2016-04-12 09:43 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you please confirm the field type for the "panel_nbr" field?

#2 - 2016-04-13 06:29 AM - Spencer Gardner

Field type is integer
#3 - 2016-04-13 06:29 AM - Spencer Gardner

I should also add that I just upgraded to 2.14.1 and the issue still occurs.

#4 - 2016-04-13 07:26 AM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2016-04-21 03:05 AM - Olivier ATHIMON

I have tried with a String Field, and it run.

But i have the same problem with 2.14.1 on a Windows 7 machine for a Integer64 Field... <=> In my memories, it was OK with previous versions of QGIS

2.12...

#6 - 2016-04-22 12:57 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"647f3221463eb24ad09f486844c7161060a6b375".
